Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel.profile
Class UserProfilePanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.eclipse.higgins.ics.gwt.icm.client.panel.profile.UserProfilePanel

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener

public class UserProfilePanel
extends com.google.gwt.user.client.ui.Composite

Author:
  Alexander Yuhimenko

Constructor Summary
`UserProfilePanel()`

Method Summary
`void` | `addFields(String name, String value, boolean readonly, boolean isRequired, String pattern, int idx)`
`void` | `addNonTextFields(String name, com.google.gwt.user.client.ui.Widget value, int idx)`
`BaseEditor` | `getFields(int idx)`
`CardActionButton` | `getSaveButton()`
`void` | `hide()`
`void` | `setFocus()`
`void` | `show()`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getElement, isAttached`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setPixelSize, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserProfilePanel

    public UserProfilePanel()

Method Detail

### addFields

    public void addFields(String name,
                          String value,
                          boolean readonly,
                          boolean isRequired,
                          String pattern,
                          int idx)

  Parameters:
    `name` -
    `value` -
    `readonly` -
    `isRequired` -
    `pattern` -
    `idx` -

### addNonTextFields

    public void addNonTextFields(String name,
                                 com.google.gwt.user.client.ui.Widget value,
                                 int idx)

  Parameters:
    `name` -
    `value` -
    `idx` -

### getFields

    public BaseEditor getFields(int idx)

### getSaveButton

    public CardActionButton getSaveButton()

  Returns:
    the saveButton

### hide

    public void hide()

### setFocus

    public void setFocus()

### show

    public void show()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD